libzypp 17.37.10

zypp::ZConfig::Impl::TargetDefaults Struct Reference

Settings that follow a changed Target. More...

## Public Member Functions
| TargetDefaults ()
bool | consume (const std::string &entry, const std::string &value)

## Public Attributes
ResolverFocus | solver_focus
Option< bool > | solver_onlyRequires
Option< bool > | solver_allowVendorChange
Option< bool > | solver_dupAllowDowngrade
Option< bool > | solver_dupAllowNameChange
Option< bool > | solver_dupAllowArchChange
Option< bool > | solver_dupAllowVendorChange
Option< bool > | solver_cleandepsOnRemove
Option< unsigned > | solver_upgradeTestcasesToKeep
DefaultOption< bool > | solverUpgradeRemoveDroppedPackages

## Detailed Description

Settings that follow a changed Target.

Definition at line 404 of file ZConfig.cc.

## Constructor & Destructor Documentation

## ◆ TargetDefaults()

zypp::ZConfig::Impl::TargetDefaults::TargetDefaults | ( |  | ) |
| inline

Definition at line 406 of file ZConfig.cc.

## Member Function Documentation

## ◆ consume()

bool zypp::ZConfig::Impl::TargetDefaults::consume | ( | const std::string & | entry,
|  | const std::string & | value )
| inline

Definition at line 419 of file ZConfig.cc.

## Member Data Documentation

## ◆ solver_focus

ResolverFocus zypp::ZConfig::Impl::TargetDefaults::solver_focus

Definition at line 467 of file ZConfig.cc.

## ◆ solver_onlyRequires

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_onlyRequires

Definition at line 468 of file ZConfig.cc.

## ◆ solver_allowVendorChange

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_allowVendorChange

Definition at line 469 of file ZConfig.cc.

## ◆ solver_dupAllowDowngrade

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_dupAllowDowngrade

Definition at line 470 of file ZConfig.cc.

## ◆ solver_dupAllowNameChange

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_dupAllowNameChange

Definition at line 471 of file ZConfig.cc.

## ◆ solver_dupAllowArchChange

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_dupAllowArchChange

Definition at line 472 of file ZConfig.cc.

## ◆ solver_dupAllowVendorChange

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_dupAllowVendorChange

Definition at line 473 of file ZConfig.cc.

## ◆ solver_cleandepsOnRemove

Option<bool> zypp::ZConfig::Impl::TargetDefaults::solver_cleandepsOnRemove

Definition at line 474 of file ZConfig.cc.

## ◆ solver_upgradeTestcasesToKeep

Option<unsigned> zypp::ZConfig::Impl::TargetDefaults::solver_upgradeTestcasesToKeep

Definition at line 475 of file ZConfig.cc.

## ◆ solverUpgradeRemoveDroppedPackages

DefaultOption<bool> zypp::ZConfig::Impl::TargetDefaults::solverUpgradeRemoveDroppedPackages

Definition at line 476 of file ZConfig.cc.

The documentation for this struct was generated from the following file:

- zypp/ZConfig.cc